Package be.ehealth.businessconnector.consultrnv2.session.impl

# Class ConsultrnPersonServiceImpl

java.lang.Object
be.ehealth.businessconnector.consultrnv2.session.impl.ConsultrnPersonServiceImpl

All Implemented Interfaces:
  `ConsultrnPersonService`

public class ConsultrnPersonServiceImpl extends Object implements ConsultrnPersonService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultrnPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SearchPersonBySsinResponse`
  `searchPersonBySsin(SearchPersonBySsinRequest request)`
  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:
  `SearchPersonPhoneticallyResponse`
  `searchPersonPhonetically(SearchPersonPhoneticallyRequest request)`
  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultrnPersonServiceImpl

    public ConsultrnPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)

- ## Method Details

  - ### searchPersonBySsin

    public SearchPersonBySsinResponse searchPersonBySsin(SearchPersonBySsinRequest request) throws TechnicalConnectorException
    Description copied from interface: `ConsultrnPersonService`
    When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

         (SearchPersonBySsinResponse) soaErrorException.getResponseTypeV2()

    Specified by:
      `searchPersonBySsin` in interface `ConsultrnPersonService`
    Throws:
      `TechnicalConnectorException`

  - ### searchPersonPhonetically

    public SearchPersonPhoneticallyResponse searchPersonPhonetically(SearchPersonPhoneticallyRequest request) throws TechnicalConnectorException
    Description copied from interface: `ConsultrnPersonService`
    When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

         (SearchPersonPhoneticallyResponse) soaErrorException.getResponseTypeV2()

    Specified by:
      `searchPersonPhonetically` in interface `ConsultrnPersonService`
    Throws:
      `TechnicalConnectorException`